<%@ page language="java" 
	import="java.util.*,com.zhuozhengsoft.pageoffice.*,java.sql.*,java.io.*,javax.servlet.*,javax.servlet.http.*;" 
	pageEncoding="gb2312"%>
<%@ taglib uri="http://java.pageoffice.cn" prefix="po" %>
<%
    String id=request.getParameter("id");
    String fileName="";//文件名称
    String filePath="";
    String status="";//当前流程
    String lz="张三批阅";//流转
    if(id!=null&&id.length()>0){
    	Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");//载入驱动程序类别
		String strUrl = "jdbc:odbc:driver={Microsoft Access Driver (*.mdb)};DBQ="
			+ this.getServletContext().getRealPath("demodata/") + "\\demo.mdb";
		Connection conn = DriverManager.getConnection(strUrl);
		Statement stmt = conn.createStatement();				
    	ResultSet	rs = stmt.executeQuery("select * from word where id="+id);
		if(rs.next()){
			filePath=rs.getString(2);
			fileName=rs.getString(3);
			status=rs.getString(6);
		}
		rs.close();
		stmt.close();
		conn.close();
		File oldfile = new File(getServletContext().getRealPath("doc/" + filePath));
		if(!oldfile.exists()){
			fileName="";
			status="";
			lz="";
		}
									
    }else{
	   	response.sendRedirect("index.jsp");
    }  
    
    //***************************卓正PageOffice组件的使用********************************
	PageOfficeCtrl poCtrl1 = new PageOfficeCtrl(request);
	poCtrl1.setCustomToolbar(false);
	poCtrl1.setServerPage("poserver.do"); //此行必须
	poCtrl1.setSaveFilePage("savefile.jsp");
	poCtrl1.webOpen("doc/"+filePath, OpenModeType.docNormalEdit, "张三");
	poCtrl1.setTagId("PageOfficeCtrl1"); //此行必须				  							  
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
    <title></title>
    <link href="images/csstg.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
    function Lz(id) {
    	location.href=encodeURI("index.jsp?id="+id+"&flg=张三批阅");
    }
    </script>
</head>
<body>
    <form id="form2">
    <div id="header">
        <div style="float: left; margin-left: 20px;">
            <img src="images/logo.jpg" height="30" /></div>
        <ul>
            <li><a target="_blank" href="http://www.zhuozhengsoft.com">卓正网站</a></li>
            <li><a target="_blank" href="http://www.zhuozhengsoft.com/poask/index.asp">客户问吧</a></li>
            <li><a href="#">在线帮助</a></li>
            <li><a target="_blank" href="http://www.zhuozhengsoft.com/contact-us.html">联系我们</a></li>
        </ul>
    </div>
    <div id="content">
        <div id="textcontent" style="width: 1000px; height: 800px;">
            <div class="flow4">
                <a href="index.jsp">
                    <img alt="返回" src="images/return.gif" border="0" />文件列表</a> <span style="width: 100px;">
                    </span><strong>文档名称：</strong> <span style="color: Red;">
                        <span><%=fileName %></span></span> <span style="width: 100px;">
                        </span><strong>当前流程：</strong> 
                <% 
                	if (status.equals("在线编辑")){
                %>         
                        <span style="color: Red;">
                            <span><%=status %></span></span> <span style="width: 100px;">
                            </span>&nbsp;&nbsp;<strong>流转：</strong>
                <img alt="流转" src="images/arrow2.gif" border="0" />&nbsp;&nbsp;&nbsp;
                <a href="javascript:Lz(<%=id %>)"><span><%=lz %></span></a>
                <%
                	}
                	else{
                 %>
                 	<span style="color: Red;">已流转到“<%=status %>”，当前是“修改无痕迹模式”打开文件的效果。</span>
                 <%
                 	}
                  %>
            </div>
            <!--**************   卓正 PageOffice组件 ************************-->
             <po:PageOfficeCtrl id="PageOfficeCtrl1" />
        </div>
    </div>
    <div id="footer">
        <hr width="1000" />
        <div>
            Copyright (c) 2012 北京卓正志远软件有限公司</div>
    </div>
    </form>
</body>
</html>
